Bug 1573638 - Review Request: python-dotenv - Add .env support to your django/flask apps in development
Summary: Review Request: python-dotenv - Add .env support to your django/flask apps in...
Keywords:
Status: CLOSED DUPLICATE of bug 1613753
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1610571
TreeView+ depends on / blocked
 
Reported: 2018-05-01 20:16 UTC by Fernando Pereira dos Santos
Modified: 2018-08-08 16:26 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-08 09:51:43 UTC
Type: ---


Attachments (Terms of Use)

Description Fernando Pereira dos Santos 2018-05-01 20:16:35 UTC
Spec URL: https://ferox.fedorapeople.org/rpm-packages/python-dotenv/0.8.2/python-dotenv.spec
SRPM URL: https://ferox.fedorapeople.org/rpm-packages/python-dotenv/0.8.2/python-dotenv-0.8.2-1.fc27.src.rpm
Description: Reads the key/value pair from .env file and adds them to environment variable.
Fedora Account System Username: ferox

Comment 1 Robert-André Mauchin 🐧 2018-05-02 18:14:48 UTC
 - License is not "None", the License is BSD: https://github.com/theskumar/python-dotenv/blob/master/LICENSE

 - %{_bindir}/dotenv can't be in both package

Comment 3 Robert-André Mauchin 🐧 2018-05-03 14:08:36 UTC
 - The correct license shorthand is BSD:

License:        BSD

   See the full list: https://fedoraproject.org/wiki/Licensing#SoftwareLicenses

 - %{sum} is not a valid macro. Use %{summary}:

Summary:        %{summary}

 - Escape the macros in %changelog by doubling %:

- %%{_bindir}/dotenv removed and added BSD License


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "Unknown or generated". 17 files have unknown
     license. Detailed output of licensecheck in /home/bob/packaging/review
     /python-dotenv/review-python-dotenv/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[!]: Macros in Summary, %description expandable at SRPM build time.
     Note: Macros in: python3-dotenv (summary)
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-dotenv , python3-dotenv
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-dotenv-0.8.2-2.fc29.noarch.rpm
          python3-dotenv-0.8.2-2.fc29.noarch.rpm
          python-dotenv-0.8.2-2.fc29.src.rpm
python2-dotenv.noarch: W: spelling-error Summary(en_US) env -> enc, en, envy
python2-dotenv.noarch: W: spelling-error Summary(en_US) django -> fandango
python2-dotenv.noarch: W: spelling-error %description -l en_US env -> enc, en, envy
python2-dotenv.noarch: W: invalid-license BSD License
python2-dotenv.noarch: W: no-manual-page-for-binary dotenv-2
python2-dotenv.noarch: W: no-manual-page-for-binary dotenv-2.7
python3-dotenv.noarch: W: unexpanded-macro Summary(C) %{sum}
python3-dotenv.noarch: W: spelling-error %description -l en_US env -> enc, en, envy
python3-dotenv.noarch: W: invalid-license BSD License
python3-dotenv.noarch: W: no-manual-page-for-binary dotenv-3
python3-dotenv.noarch: W: no-manual-page-for-binary dotenv-3.6
python-dotenv.src: W: spelling-error Summary(en_US) env -> enc, en, envy
python-dotenv.src: W: spelling-error Summary(en_US) django -> fandango
python-dotenv.src: W: spelling-error %description -l en_US env -> enc, en, envy
python-dotenv.src: W: invalid-license BSD License
python-dotenv.src:72: W: macro-in-%changelog %{_bindir}
3 packages and 0 specfiles checked; 0 errors, 16 warnings.

Comment 5 Robert-André Mauchin 🐧 2018-05-03 21:51:24 UTC
It's good for approval but you need to find a sponsor first. Try introducing yourself to the devel mailing list.

Comment 6 Fernando Pereira dos Santos 2018-05-05 16:02:38 UTC
(In reply to Robert-André Mauchin from comment #5)
> It's good for approval but you need to find a sponsor first. Try introducing
> yourself to the devel mailing list.

Thanks buddy. I will!

Comment 7 Athos Ribeiro 2018-05-18 17:45:03 UTC
Removing FE-NEEDSPONSOR: I started the process with Fernando and will aponsor him as soon as he complete some tasks to show he is able to apply the Fedora Packaging Guidelines when working on Fedora packages.

He will be either performing a few informal package reviews or applying some patches in packages I maintain in our next iterations (his choice). When he is done, I will approve this package if Robert does not do it until then.

Robert, Thanks for the review, feel free to take the ticket and finish the review if you want :)

Comment 8 Robert-André Mauchin 🐧 2018-05-18 17:53:40 UTC
Thanks for taking the sponsorship!

Package approved.

Comment 9 Miro Hrončok 2018-08-01 16:03:02 UTC
I need python3-dotenv. Can we move this forward?

Comment 10 Miro Hrončok 2018-08-01 16:05:34 UTC
As per https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews

I'm indicating that the review is stalled and that a response is needed soon.

Comment 11 Miro Hrončok 2018-08-01 16:07:46 UTC
Also, as for the content:

%{_bindir}/dotenv should be just one and in the Python 3 package, as it's a tool that behaves the same on both Pythons.

Comment 12 Miro Hrončok 2018-08-08 09:51:43 UTC

*** This bug has been marked as a duplicate of bug 1613753 ***

Comment 13 Fernando Pereira dos Santos 2018-08-08 12:23:08 UTC
OK Miro.

Sorry it took me so long to get back to you.

Do you need a hand?

Comment 14 Miro Hrončok 2018-08-08 15:26:32 UTC
You can review my package proposal at bz1613753. I'd list you as co-maintainer if you'd like.

Comment 15 Fernando Pereira dos Santos 2018-08-08 16:26:51 UTC
(In reply to Miro Hrončok from comment #14)
> You can review my package proposal at bz1613753. I'd list you as
> co-maintainer if you'd like.

Yeah! Sure, I will add to my agenda.


Note You need to log in before you can comment on or make changes to this bug.